diff utils/GetSourceVersion @ 171:66f3bfe93da9

git version 2c4ca6832fa6b306ee6a7010bfb80a3f2596f824
author Shinji KONO <kono@ie.u-ryukyu.ac.jp>
date Mon, 25 May 2020 11:07:02 +0900
parents 95c75e76d11b
children
line wrap: on
line diff
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/utils/GetSourceVersion	Mon May 25 11:07:02 2020 +0900
@@ -0,0 +1,27 @@
+#!/bin/sh
+
+usage() {
+  echo "usage: $0 <source root>"
+  echo "  Prints the source control revision of the given source directory,"
+  echo "  the exact format of the revision string depends on the source "
+  echo "  control system. If the source control system isn't known, the output"
+  echo "  is empty and the exit code is 1."
+  exit 1
+}
+
+if [ $# != 1 ] || [ ! -d $1 ]; then
+  usage;
+fi
+
+cd $1
+if [ -d .svn ]; then
+  svnversion | sed -e "s#\([0-9]*\)[A-Z]*#\1#"
+elif [ -f .git/svn/.metadata ]; then
+  git svn info | grep 'Revision:' | cut -d: -f2-
+elif [ -d .git ]; then
+  git log -1 --pretty=format:%H
+else
+  exit 1;
+fi
+
+exit 0